File: changelog

package info (click to toggle)
node-leveldown 5.4.1+dfsg-2
  • links: PTS, VCS
  • area: main
  • in suites: bullseye, sid
  • size: 796 kB
  • sloc: cpp: 1,265; ansic: 191; makefile: 12; sh: 4
file content (82 lines) | stat: -rw-r--r-- 2,620 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
node-leveldown (5.4.1+dfsg-2) unstable; urgency=medium

  * Back to unstable
  * Add lintian overrides

 -- Xavier Guimard <yadd@debian.org>  Fri, 21 Feb 2020 00:01:17 +0100

node-leveldown (5.4.1+dfsg-1) experimental; urgency=medium

  * Bump debhelper compatibility level to 12
  * Declare compliance with policy 4.5.0
  * Add "Rules-Requires-Root: no"
  * Use pkg-js-tools auto install
  * Remove embedded fast-future
  * Embed components: napi-macros node-gyp-build
  * New upstream version 5.4.1+dfsg
  * Refresh patch
  * Copy abstract-leveldown test files, needed for tests
  * Embed delayed, du, map-async, mkfiletree, readfiletree, temp-dir and tempy for tests only
  * Enable upstream test
  * Update copyright

 -- Xavier Guimard <yadd@debian.org>  Sun, 02 Feb 2020 10:52:59 +0100

node-leveldown (1.5.0+dfsg-3) unstable; urgency=medium

  * Build against libnode-dev

 -- Xavier Guimard <yadd@debian.org>  Fri, 25 Jan 2019 13:39:54 +0100

node-leveldown (1.5.0+dfsg-2) unstable; urgency=medium

  * Replace Andrew by myself in uploaders list. Thanks for your work
    (Closes: #909876)
  * Fix quoting in autopkgtest control file (Closes: #894942)
  * Change priority to optional
  * Bump debhelper compatibility level to 11
  * Declare compliance with policy 4.3.0
  * Fix VCS fields to salsa
  * Remove useless Testsuite header
  * Add upstream/metadata
  * Add hardening flags
  * Change section to javascript

 -- Xavier Guimard <yadd@debian.org>  Fri, 25 Jan 2019 12:01:14 +0100

node-leveldown (1.5.0+dfsg-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.5.0+dfsg
  * leveldb tarball no longer in upstream source
  * Add repacksuffix in watch file, use dversionmangle
  * Standards-Version 3.9.8
  * Fix Testsuite field
  * Secure Vcs url
  * Use dh nodejs

 -- Jérémy Lal <kapouer@melix.org>  Tue, 20 Dec 2016 16:10:31 +0100

node-leveldown (1.4.1+dfsg-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - Fix build against newer nan. Closes: #798162
  * Bump dependency versions

 -- Felipe Sateler <fsateler@debian.org>  Mon, 14 Dec 2015 21:21:33 -0300

node-leveldown (1.0.6+dfsg-1) unstable; urgency=medium

  * Import upstream version 1.0.6.
  * Update upstream URL from rvagg/node-leveldown to Level/leveldown.
  * Bump standards version to 3.9.6.
  * Bump node-nan build dependency version to >= 1.8.4.

 -- Andrew Kelley <superjoe30@gmail.com>  Sat, 16 May 2015 22:53:52 +0000

node-leveldown (1.0.0+dfsg-1) unstable; urgency=low

  * Initial release. (Closes: #753278)

 -- Andrew Kelley <superjoe30@gmail.com>  Fri, 12 Sep 2014 19:38:52 -0300